﻿.product-details {
    margin: 160px 100px 80px;
    min-height: 600px;
}

/* WRAPPER */
.sf-wrapper {
    border-bottom: 1px solid #eee;
    /*background: #fff;*/
    color: #000;
}

/* BAR */
.sf-bar {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    align-items: center;
    padding: 14px 0;
}

.sf-btn {
    border: 1px solid #ddd;
    padding: 8px 14px;
    border-radius: 10px;
    background: #fff;
    cursor: pointer;
    font-weight: 500;
    transition: .15s;
}

    .sf-btn:hover {
        border-color: #bbb;
    }

.sf-results {
    margin-left: auto;
    font-weight: 600;
    color: #fff;
}

/* DROPDOWNS */
.sf-panel {
    display: none;
    position: absolute;
    background: #fff;
    width: 100%;
    left: 0;
    padding: 24px 30px;
    box-shadow: 0 10px 25px rgba(0,0,0,.08);
    z-index: 40;
}

    .sf-panel.open {
        display: block;
    }

    .sf-panel h3 {
        margin-bottom: 18px;
        font-size: 20px;
    }

/* SWATCHES */
.sf-swatches {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(100px,1fr));
    gap: 18px;
}

.sf-swatch input {
    display: none;
}

.sf-swatch span {
    display: block;
    height: 80px;
    border-radius: 8px;
    border: 1px solid #dcdcdc;
}

.sf-swatch p {
    text-align: center;
    margin-top: 6px;
}

/* CHECKLIST */
.sf-list {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(180px,1fr));
    gap: 12px;
    list-style: none;
    padding: 0;
}

    .sf-list label {
        display: flex;
        gap: 10px;
    }

/* APPLY BUTTON */
.sf-apply {
    margin-top: 18px;
    background: #000;
    color: #fff;
    border-radius: 8px;
    padding: 10px 22px;
    border: none;
}

/* GRID */
.sf-grid {
    margin-top: 25px;
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(260px,1fr));
    gap: 22px;
}

/* CARD */
.sf-card {
    text-decoration: none;
    color: inherit;
}

.sf-img {
    aspect-ratio: 1 / 1;
    border-radius: 12px;
    overflow: hidden;
    background: #f5f5f5;
}

    .sf-img img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.sf-card h4 {
    margin: 10px 0 4px;
}

.sf-brand {
    color: #777;
    font-size: 13px;
}

/* RESPONSIVE */
@media (max-width: 1239px) {
    .product-details {
        margin: 110px 50px 80px;
        min-height: 600px;
    }
}
@media (max-width: 1004px) {
    .product-details {
        margin: 104px 50px 80px;
        min-height: 500px;
    }
}
    @media (max-width: 768px) {
        .product-details {
            margin: 104px 40px 80px;
            min-height: 500px;
        }

        .sf-panel {
            position: relative;
            box-shadow: none;
            padding: 18px 0;
        }

        .sf-grid {
            grid-template-columns: repeat(2,1fr);
        }
    }

    @media (max-width: 480px) {
        .sf-grid {
            grid-template-columns: 1fr;
        }
    }
